---
- hosts: [ "traefik" ]
  collections:
    - famedly.network
  roles:
    - role: traefik
      become: true
  vars:
    traefik_api_host: "{{ host_domain }}"
    traefik_api_tls_domains:
      - main: "{{ host_domain }}"
        sans: ["*.{{ host_domain }}"]

    #metrics
    traefik_enable_metrics: "false"
    traefik_enable_prometheus: "false"

    #acme
    traefik_cert_resolvers:
      - slug: letsencrypt
        acme:
          registration_email: "vincent@wilkeimnetz.de"
          challenge_type: DNS-01
          challenge_config:
            # see https://doc.traefik.io/traefik/https/acme/#providers
            provider: cloudflare

    traefik_container_env:
      CF_DNS_API_TOKEN: "{{ cloudflare_dns_api_token }}"

    traefik_log_level: DEBUG
